Can't Install iTunes 10.7 on OSX 10.6.8

  MatraSimca 01:42 15 Jun 2015
Locked

I'm trying to install iTunes 10.7 from the dmg file onto OSX 10.6.8 and I used AppZapper to get rid of the previous version of iTunes because it was giving me this error message here in this image. But after using the AppZapper I'm still getting this same error message. There must be some residual file somewhere remaining hidden that I probably need to delete in order to execute a different versions install. But then again, I'm only guessing? I need to install 10.7 only, not any newer version of iTunes. Any suggestions please?

  Macworld 12:06 16 Jun 2015

Is there a reason why you haven't updated from Snow Leopard? That software was launched in 2009 - ages ago. These Macs are able to support Yosemite (and when it launches El Capitan):

Yosemite can run on the following Macs:

iMac (Mid-2007 or later)

MacBook (13-inch Aluminum, Late 2008), (13-inch, Early 2009 or later)

MacBook Pro (13-inch, Mid-2009 or later), (15-inch, Mid/Late 2007 or later), (17-inch, Late 2007 or later)

MacBook Air (Late 2008 or later)

Mac Mini (Early 2009 or later)

Mac Pro (Early 2008 or later)

Xserve (Early 2009)

We really recommend updating.

This thread is now locked and can not be replied to.

Elsewhere on IDG sites

iPad Air (2019) review

Microsoft Paint's not dead

iMac 27in (2019) review

Les bons plans logiciels et services (2019)